Автор Тема: проблема с установкой wine32 на amd64, добавление i386 архитектуры  (Прочитано 585 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн dhk

  • Новичок форума
  • Topic Author
  • Сообщений: 5
Доброго времени суток, пытаюсь установить wine для dbforge на Debian 9.8.0 Stretch
wine][/spoiler]
Spoiler: ShowHide
it looks like wine32 is missing, you should install it.
as root, please execute "apt-get install wine32"
Usage: wine PROGRAM [ARGUMENTS...]   Run the specified program
       wine --help                   Display this help and exit
       wine --version                Output version information and exit

wine32
Spoiler: ShowHide
sudo apt-get install wine-stable-i386:i386cat /etc/apt/sources.list
[spoiler]#

Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 wine-stable-i386:i386 : Зависит: libgphoto2-6:i386 (>= 2.5.10) но он не будет установлен
                         Зависит: libgphoto2-port12:i386 (>= 2.5.10) но он не будет установлен
                         Зависит: libldap-2.4-2:i386 (>= 2.4.7) но он не будет установлен
                         Зависит: libpulse0:i386 (>= 0.99.1) но он не будет установлен
                         Зависит: libudev1:i386 (>= 183) но он не будет установлен
                         Зависит: libasound2-plugins:i386 но он не будет установлен
                         Рекомендует: libcups2:i386 но он не будет установлен
                         Рекомендует: libdbus-1-3:i386 но он не будет установлен
                         Рекомендует: libsane:i386 но он не будет установлен или
                                                 libsane1:i386 но он не может быть установлен
                         Рекомендует: libsdl2-2.0-0:i386 но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

sudo apt-get install libwebp5:i386 - прошел до конца одного из пакетов
Spoiler: ShowHide
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Пакет libwebp5:i386 недоступен, но упомянут в списке зависимостей другого пакета.
Это может означать, что пакет отсутствует, устарел, или доступен из источников, не упомянутых в sources.list

E: Для пакета «libwebp5:i386» не найден кандидат на установку

cat /etc/apt/sources.list
Spoiler: ShowHide

# deb cdrom:[Debian GNU/Linux 9.8.0 _Stretch_ - Official amd64 DVD Binary-1 20190216-11:59]/ stretch contrib main

# deb cdrom:[Debian GNU/Linux 9.8.0 _Stretch_ - Official amd64 DVD Binary-1 20190216-11:59]/ stretch contrib main

deb http://deb.debian.org/debian/ stretch main
deb-src http://deb.debian.org/debian/ stretch main

deb http://security.debian.org/debian-security stretch/updates main contrib
deb-src http://security.debian.org/debian-security stretch/updates main contrib

# stretch-updates, previously known as 'volatile'
deb http://deb.debian.org/debian/ stretch-updates main contrib
deb [arch=amd64] https://download.docker.com/linux/debian stretch stable
# deb-src [arch=amd64] https://download.docker.com/linux/debian stretch stable
deb-src http://deb.debian.org/debian/ stretch-updates main contrib
deb http://deb.debian.org/debian/ stretch-proposed-updates contrib main non-free
deb http://httpredir.debian.org/debian/ stretch main contrib non-free
deb http://ftp.debian.org/debian stretch-backports main
deb https://dl.winehq.org/wine-builds/debian/ stretch main

deb http://deb.debian.org/debian/ stretch-backports main contrib non-free

 dpkg --add-architecture i386

и update выполнял, флаг -f пробовал.
Ничего не помогает =(
где взять список пакетов i386, как их правильно добавить, чтоб не поломать текущую систему?

« Последнее редактирование: 29 Май 2019, 16:45:41 от dhk »
 

Оффлайн G_r_i_g_a

  • Местный житель
  • ***
  • Сообщений: 303
Ничего не помогает =(
Вот в этом дело, для чего ты подключал бэкпорт?
deb http://deb.debian.org/debian/ stretch-backports main contrib non-free
И мне немного непонятно зачем ты ставишь 32-х битный вайн?
Если мне не изменяет память, то порядок такой:
1. Добавляешь мультиархитектуру
2. Обновляешь список пакетов
3. Ставишь мета пакет вайна
4. Создаешь 32-х битный префикс и устанавливаешь игру.
В данной ситуации закомментируй бэкпорт и попробуй повторить в вышеописанной последовательности
 

Теги:
 

Проблема после обновления ядра в Wheezy

Автор dduh

Ответов: 5
Просмотров: 1588
Последний ответ 06 Ноябрь 2012, 21:36:11
от qupl
Проблема с 2 видеокартами ATI

Автор daun85

Ответов: 13
Просмотров: 1475
Последний ответ 21 Ноябрь 2014, 06:43:50
от qupl
Проблема с сетевыми картами

Автор 4ydocactus

Ответов: 2
Просмотров: 1195
Последний ответ 26 Январь 2019, 06:17:54
от 4ydocactus
[Решено] proFTPd: проблема с отображением русских букв

Автор Sferg

Ответов: 1
Просмотров: 3793
Последний ответ 23 Март 2013, 01:59:10
от yura_n
Проблема при установке libapache2-mod-php5

Автор DJ Sergeich

Ответов: 5
Просмотров: 1853
Последний ответ 04 Ноябрь 2016, 11:53:58
от ferum